Loading...
Searching...
No Matches
common.h File Reference

Common utility headers for Decaf library. More...

Go to the source code of this file.

## Macros

#define | DECAF_WORD_BITS 32
| The number of bits in a word.

## Enumerations

enum | decaf_error_t { DECAF_SUCCESS = -1 , DECAF_FAILURE = 0 }
| Another boolean type used to indicate success or failure. More...

## Functions

void DECAF_API_VIS | decaf_bzero (void *data, size_t size) DECAF_NONNULL
| Overwrite data with zeros.
decaf_bool_t DECAF_API_VIS | decaf_memeq (const void *data1, const void *data2, size_t size) DECAF_NONNULL DECAF_WARN_UNUSED
| Compare two buffers, returning DECAF_TRUE if they are equal.

## Detailed Description

Common utility headers for Decaf library.

Author
  Mike Hamburg

Copyright
  Copyright (c) 2015 Cryptography Research, Inc.
  Released under the MIT License. See LICENSE.txt for license information.

## Macro Definition Documentation

## DECAF_WORD_BITS

#define DECAF_WORD_BITS 32

The number of bits in a word.

The number of bits in a word

## Enumeration Type Documentation

## decaf_error_t

enum decaf_error_t

Another boolean type used to indicate success or failure.

Enumerator
DECAF_SUCCESS | The operation succeeded.
DECAF_FAILURE | The operation failed.

## Function Documentation

## decaf_bzero()

void DECAF_API_VIS decaf_bzero | ( | void * | data,
|  | size_t | size
| ) |  |

Overwrite data with zeros.

Uses memset_s if available.